<?php
defined('_WPBOOKINGPRO_EXEC') or die;
if(!class_exists("WpBookingPro_BookingModel")) {
    /**
     * Class WpBookingPro_BookingModel
     */
    class WpBookingPro_BookingModel extends WoobookingModelForm
    {
        /**
         * @var string
         */
        public $context = "booking";

        /**
         * @return array
         */
        public function getHeader()
        {
            return array();
        }

        /**
         * @return void|\WooBooking\CMS\Database\DatabaseQuery
         */
        public function buildQuery()
        {
            $db = Factory::getDBO();
            $query = $db->getQuery(true);
            $query->select('*')
                ->from($this->getTableName('event'));
            return $query;
        }
    }
}